Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class IconLabelFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.LabelFormats
          info.bioinfweb.treegraph.document.format.IconLabelFormats

All Implemented Interfaces:
  ElementFormats, LineFormats, java.lang.Cloneable

    public class IconLabelFormats

extends LabelFormats
implements LineFormats

Field Summary
`static float` | `DEFAULT_ICON_HEIGHT_IN_MM`
`static float` | `DEFAULT_ICON_WIDTH_IN_MM`
`private java.lang.String` | `icon`
`private boolean` | `iconFilled`
`private DistanceValue` | `iconHeight`
`private DistanceValue` | `iconWidth`
`private java.awt.Color` | `lineColor`
`private DistanceValue` | `lineWidth`

Fields inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`DEFAULT_MARGIN_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Constructor Summary
`IconLabelFormats(Label owner)`
`IconLabelFormats(Label owner, boolean above, int line, int linePosition)`

Method Summary
`void` | `assign(IconLabelFormats other)`
`void` | `assignIconLabelFormats(IconLabelFormats other)`
`void` | `assignLineFormats(LineFormats other)`
`IconLabelFormats` | `clone()` Returns a deep copy with the owner `null`.
`java.lang.String` | `getIcon()`
`boolean` | `getIconFilled()`
`DistanceValue` | `getIconHeight()`
`DistanceValue` | `getIconWidth()`
`java.awt.Color` | `getLineColor()`
`DistanceValue` | `getLineWidth()`
`void` | `setIcon(java.lang.String icon)`
`void` | `setIconFilled(boolean iconFilled)`
`void` | `setLineColor(java.awt.Color color)`

Methods inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`assignLabelFormats, getLineNumber, getLinePosition, getMargin, getOwner, isAbove, setAbove, setLineNumber, setLinePosition, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ICON_WIDTH_IN_MM

    public static final float DEFAULT_ICON_WIDTH_IN_MM

See Also:
  Constant Field Values

### DEFAULT_ICON_HEIGHT_IN_MM

    public static final float DEFAULT_ICON_HEIGHT_IN_MM

See Also:
  Constant Field Values

### lineColor

    private java.awt.Color lineColor

### lineWidth

    private DistanceValue lineWidth

### icon

    private java.lang.String icon

### iconWidth

    private DistanceValue iconWidth

### iconHeight

    private DistanceValue iconHeight

### iconFilled

    private boolean iconFilled

Constructor Detail

### IconLabelFormats

    public IconLabelFormats(Label owner,
                            boolean above,
                            int line,
                            int linePosition)

### IconLabelFormats

    public IconLabelFormats(Label owner)

Method Detail

### getLineColor

    public java.awt.Color getLineColor()

  Specified by:
    `getLineColor` in interface `LineFormats`

### setLineColor

    public void setLineColor(java.awt.Color color)

  Specified by:
    `setLineColor` in interface `LineFormats`

### getLineWidth

    public DistanceValue getLineWidth()

  Specified by:
    `getLineWidth` in interface `LineFormats`

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String icon)

### getIconWidth

    public DistanceValue getIconWidth()

### getIconHeight

    public DistanceValue getIconHeight()

### getIconFilled

    public boolean getIconFilled()

### setIconFilled

    public void setIconFilled(boolean iconFilled)

### assignIconLabelFormats

    public void assignIconLabelFormats(IconLabelFormats other)

### assignLineFormats

    public void assignLineFormats(LineFormats other)

  Specified by:
    `assignLineFormats` in interface `LineFormats`

### assign

    public void assign(IconLabelFormats other)

### clone

    public IconLabelFormats clone()

  Description copied from class: `LabelFormats`
  Returns a deep copy with the owner `null`.

  Specified by:
    `clone` in interface `ElementFormats`
  Specified by:
    `clone` in interface `LineFormats`
  Overrides:
    `clone` in class `LabelFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD